const {Command, flags} = require('@oclif/command');
const Docker = require('dockerode');

// Initialization
const docker = new Docker({ socketPath: "/var/run/docker.sock" });

class StopCommand extends Command {
  async run() {
    const {flags} = this.parse(StopCommand);
    let serverid;
    let servername;

    if (flags.serverid) {
      serverid = flags.serverid;
    }

    if (flags.servername) {
      servername = flags.servername;
    }

    if (serverid) {
      docker.getContainer(serverid).stop((err, data) => {
        if (err) {
          console.log(err);
        } else {
          console.log(data);
        }
      });
    } else if (servername) {
      docker.getContainer(servername).stop((err, data) => {
        if (err) {
          console.log(err);
        } else {
          console.log(data);
        }
      });
    } else {
      console.error('You must enter a valid server ID or name.')
    }
  }
}

StopCommand.description = `Starts a FiveM server Docker container.`;

StopCommand.flags = {
  servername: flags.string({char: 's', description: 'Name of the FiveM Docker container.'}),
  serverid: flags.string({char: 'i', description: 'ID of the FiveM Docker container.'}),
};

module.exports = StopCommand;
